- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# AddonInterface Class Reference

Search for all occurrences

## Detailed Description

Interface for Menu, Chapter, Angle and Title/Track control.

Author:
  Matthias Kretz <kretz@kde.org>

Definition at line 43 of file addoninterface.h.

`#include <Phonon/AddonInterface>`

List of all members.

## Public Types
enum | Interface { NavigationInterface = 1, ChapterInterface = 2, AngleInterface = 3, TitleInterface = 4, SubtitleInterface = 5, AudioChannelInterface = 6 }
enum | NavigationCommand { Menu1Button }
enum | ChapterCommand { availableChapters, chapter, setChapter }
enum | AngleCommand { availableAngles, angle, setAngle }
enum | TitleCommand { availableTitles, title, setTitle, autoplayTitles, setAutoplayTitles }
enum | SubtitleCommand { availableSubtitles, currentSubtitle, setCurrentSubtitle }
enum | AudioChannelCommand { availableAudioChannels, currentAudioChannel, setCurrentAudioChannel }
## Public Member Functions
virtual | ~AddonInterface ()
virtual bool | hasInterface (Interface iface) const =0
virtual QVariant | interfaceCall (Interface iface, int command, const QList< QVariant > &arguments=QList< QVariant >())=0

## Member Enumeration Documentation

enum Interface

Search for all occurrences

Enumerator:

  NavigationInterface | Search for all occurrences
  ChapterInterface | Search for all occurrences
  AngleInterface | Search for all occurrences
  TitleInterface | Search for all occurrences
  SubtitleInterface | Search for all occurrences
  AudioChannelInterface | Search for all occurrences

Definition at line 48 of file addoninterface.h.

                           {
                NavigationInterface   = 1,
                ChapterInterface      = 2,
                AngleInterface        = 3,
                TitleInterface        = 4,
                SubtitleInterface     = 5,
                AudioChannelInterface = 6
            };

enum NavigationCommand

Search for all occurrences

Enumerator:

  Menu1Button | Search for all occurrences

Definition at line 57 of file addoninterface.h.

                                   {
                Menu1Button
            };

enum ChapterCommand

Search for all occurrences

Enumerator:

  availableChapters | Search for all occurrences
  chapter | Search for all occurrences
  setChapter | Search for all occurrences

Definition at line 60 of file addoninterface.h.

                                {
                availableChapters,
                chapter,
                setChapter
            };

enum AngleCommand

Search for all occurrences

Enumerator:

  availableAngles | Search for all occurrences
  angle | Search for all occurrences
  setAngle | Search for all occurrences

Definition at line 65 of file addoninterface.h.

                              {
                availableAngles,
                angle,
                setAngle
            };

enum TitleCommand

Search for all occurrences

Enumerator:

  availableTitles | Search for all occurrences
  title | Search for all occurrences
  setTitle | Search for all occurrences
  autoplayTitles | Search for all occurrences
  setAutoplayTitles | Search for all occurrences

Definition at line 70 of file addoninterface.h.

                              {
                availableTitles,
                title,
                setTitle,
                autoplayTitles,
                setAutoplayTitles
            };

enum SubtitleCommand

Search for all occurrences

Enumerator:

  availableSubtitles | Search for all occurrences
  currentSubtitle | Search for all occurrences
  setCurrentSubtitle | Search for all occurrences

Definition at line 77 of file addoninterface.h.

                                 {
                availableSubtitles,
                currentSubtitle,
                setCurrentSubtitle
            };

enum AudioChannelCommand

Search for all occurrences

Enumerator:

  availableAudioChannels | Search for all occurrences
  currentAudioChannel | Search for all occurrences
  setCurrentAudioChannel | Search for all occurrences

Definition at line 82 of file addoninterface.h.

                                     {
                availableAudioChannels,
                currentAudioChannel,
                setCurrentAudioChannel
            };

## Constructor & Destructor Documentation

virtual ~AddonInterface | ( |  | ) | `[inline, virtual]`

Definition at line 46 of file addoninterface.h.

    {}

## Member Function Documentation

virtual bool hasInterface | ( | Interface | iface | ) | const `[pure virtual]`

Search for all occurrences

virtual QVariant interfaceCall | ( | Interface | iface,
|  | int | command,
|  | const QList< QVariant > & | arguments = `QList< QVariant >()`
| ) |  | `[pure virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- phonon/addoninterface.h

AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface
AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface AddonInterface